# -*- coding: UTF-8 -*-
from pyautocad import Autocad, APoint

#这个true表示没有文件则打开一个，CAD有弹窗时会打开或者创建失败
acad = Autocad(create_if_not_exists = True)
acad.prompt("Hello, Autocad from Python\n")
print(acad.doc.Name)

#遍历cad图形对象
for obj in acad.iter_objects():
    print(obj.ObjectName)
#按类型查找出所有某种图元
for text in acad.iter_objects('Text'):
    print(text.TextString, text.InsertionPoint)